EngineBuilder_v8

## Functions

auto | cudnn_frontend::EngineBuilder_v8::setOperationGraph (OperationGraph_v8 const &opGraph_) -> EngineBuilder_v8 &
| Set operationGraph for the engine. More...
auto | cudnn_frontend::EngineBuilder_v8::setOperationGraph (ManagedOpaqueDescriptor desc_) -> EngineBuilder_v8 &
| Set operationGraph for the engine. More...
auto | cudnn_frontend::EngineBuilder_v8::setGlobalEngineIdx (int64_t idx_) -> EngineBuilder_v8 &
| Set engine index for the engine. More...

## Detailed Description

Set individual property of Engine_v8 class

## Function Documentation

## setGlobalEngineIdx()

auto cudnn_frontend::EngineBuilder_v8::setGlobalEngineIdx | ( | int64_t | idx_ | ) | -> EngineBuilder_v8 &

inline

Set engine index for the engine.

Definition at line 266 of file cudnn_frontend_Engine.h.

Referenced by cudnn_frontend::EngineFallbackListBuilder_v8::build().

## setOperationGraph() [1/2]

auto cudnn_frontend::EngineBuilder_v8::setOperationGraph | ( | OperationGraph_v8 const & | opGraph_ | ) | -> EngineBuilder_v8 &

inline

Set operationGraph for the engine.

Definition at line 252 of file cudnn_frontend_Engine.h.

## setOperationGraph() [2/2]

auto cudnn_frontend::EngineBuilder_v8::setOperationGraph | ( | ManagedOpaqueDescriptor | desc_ | ) | -> EngineBuilder_v8 &

inline

Set operationGraph for the engine.

Definition at line 260 of file cudnn_frontend_Engine.h.